#version 330 core 
in vec3 fragNor;
out vec4 color;

const int maxLights = 14;

uniform vec3 difCol;
uniform vec3 MatAmb;
uniform vec3 MatDif;
uniform vec3 MatSpec;
uniform float shine;

in vec3 c;

void main()
{
	vec3 normal = normalize(fragNor);
	vec3 res = vec3((c.x + c.y + c.z)/3.0f + 0.3f);
	color = vec4(res, 1.0);
}
