#version 330 core
layout (location = 0) in vec4 vertPos; 		// position buffer and texture coords batched together

out vec2 texCoord;

uniform mat4 P, V, M;

void main()
{
	texCoord = vertPos.zw;
	gl_Position = P * V * M * vec4((vec3(vertPos.x, 0.0f, vertPos.y)), 1.0f);
}