#version 330 core
in vec2 TexCoords;
out vec4 color;

uniform sampler2D text;
uniform vec3 textColor;

void main()
{    
    vec4 sampled = vec4(1.0, 1.0, 1.0, texture(text, TexCoords).r);
    // by using the sample for alpha, any pixels in the glyph's background will
    // be transparent while the actual character pixels will have an alpha of 1
    color = vec4(textColor, 1.0) * sampled;
} 